Skip to content
Login Sign up

Google Scholar Profiles API

Find Google Scholar author profiles by name. Set engine=google_scholar_profiles and pass the name into mauthors to get a list of matching authors with their IDs, affiliations, and citation counts.

GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_scholar_profiles
mauthorsstringyesThe author name(s) to search for
hlstringnoInterface language code
after_authorstringnoNext page token, must follow a before_author value
before_authorstringnoPrevious page token
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"
{
"search_parameters": {
"engine": "google_scholar_profiles",
"mauthors": "jake"
},
"profiles": [
{
"name": "Jake Smith",
"author_id": "LSsXyncAAAAJ",
"affiliations": "Professor of Computer Science, MIT",
"email": "Verified email at mit.edu",
"cited_by": 18200,
"interests": [ { "title": "Artificial Intelligence" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
}
],
"pagination": {
"next_page_token": "...",
"next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..."
}
}